import {View, Text} from 'react-native';
import React from 'react';
import {NavigationContainer} from '@react-navigation/native';
import {createNativeStackNavigator} from '@react-navigation/native-stack';
import SplashScreenComp from '../Components/SplashScreen/SplashScreen';
import Login from '../Screens/Login/Login';
import {createDrawerNavigator} from '@react-navigation/drawer';
import Home from '../Screens/Home/Home';
import {useSelector, useDispatch} from 'react-redux';
import CustomDrawer from '../Components/CustomDrawer/CustomDrawer';

const Stack = createNativeStackNavigator();
const Drawer = createDrawerNavigator();

const Routes = () => {
  const {loading, user, isLogin} = useSelector(state => state.authentication);
  console.log(isLogin, 'isLogin');
  return (
    <>
      <NavigationContainer>
        {!isLogin ? (
          <Stack.Navigator>
            <Stack.Screen
              name="Login"
              component={Login}
              options={{headerShown: false}}
            />
          </Stack.Navigator>
        ) : (
          <Drawer.Navigator
            drawerContent={props => <CustomDrawer {...props} />}>
            {/* <Drawer.Screen name="Login" component={Login} /> */}
            <Drawer.Screen name="Home" component={Home} />
            <Drawer.Screen name="Login" component={Login} />
          </Drawer.Navigator>
        )}
      </NavigationContainer>
    </>
  );
};

export default Routes;
